// kafka-connector options: START
[[camel-direct-vm-kafka-connector-sink]]
= camel-direct-vm-kafka-connector sink configuration

When using camel-direct-vm-kafka-connector as sink make sure to use the following Maven dependency to have support for the connector:

[source,xml]
----
<dependency>
  <groupId>org.apache.camel.kafkaconnector</groupId>
  <artifactId>camel-direct-vm-kafka-connector</artifactId>
  <version>x.x.x</version>
  <!-- use the same version as your Camel Kafka connector version -->
</dependency>
----

To use this Sink connector in Kafka connect you'll need to set the following connector.class

[source,java]
----
connector.class=org.apache.camel.kafkaconnector.directvm.CamelDirectvmSinkConnector
----


The camel-direct-vm sink connector supports 14 options, which are listed below.



[width="100%",cols="2,5,^1,1,1",options="header"]
|===
| Name | Description | Default | Required | Priority
| *camel.sink.path.name* | Name of direct-vm endpoint | null | true | HIGH
| *camel.sink.endpoint.block* | If sending a message to a direct endpoint which has no active consumer, then we can tell the producer to block and wait for the consumer to become active. | true | false | MEDIUM
| *camel.sink.endpoint.failIfNoConsumers* | Whether the producer should fail by throwing an exception, when sending to a Direct-VM endpoint with no active consumers. | false | false | MEDIUM
| *camel.sink.endpoint.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.sink.endpoint.timeout* | The timeout value to use if block is enabled. | 30000L | false | MEDIUM
| *camel.sink.endpoint.headerFilterStrategy* | Sets a HeaderFilterStrategy that will only be applied on producer endpoints (on both directions: request and response). Default value: none. | null | false | MEDIUM
| *camel.sink.endpoint.propagateProperties* | Whether to propagate or not properties from the producer side to the consumer side, and vice versa. Default value: true. | true | false | MEDIUM
| *camel.sink.endpoint.synchronous* | Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported). | false | false | MEDIUM
| *camel.component.direct-vm.block* | If sending a message to a direct endpoint which has no active consumer, then we can tell the producer to block and wait for the consumer to become active. | true | false | MEDIUM
| *camel.component.direct-vm.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.component.direct-vm.timeout* | The timeout value to use if block is enabled. | 30000L | false | MEDIUM
| *camel.component.direct-vm.autowiredEnabled* | Whether autowiring is enabled. This is used for automatic autowiring options (the option must be marked as autowired) by looking up in the registry to find if there is a single instance of matching type, which then gets configured on the component. This can be used for automatic configuring JDBC data sources, JMS connection factories, AWS Clients, etc. | true | false | MEDIUM
| *camel.component.direct-vm.headerFilterStrategy* | Sets a HeaderFilterStrategy that will only be applied on producer endpoints (on both directions: request and response). Default value: none. | null | false | MEDIUM
| *camel.component.direct-vm.propagateProperties* | Whether to propagate or not properties from the producer side to the consumer side, and vice versa. Default value: true. | true | false | MEDIUM
|===



The camel-direct-vm sink connector has no converters out of the box.





The camel-direct-vm sink connector has no transforms out of the box.





The camel-direct-vm sink connector has no aggregation strategies out of the box.
// kafka-connector options: END
